API ReferenceapilivePOST /v1/sessions/{id}/questions

POST /v1/sessions/\{id\}/questions

Service: live · operationId: (none)

Submit a question to a live session.

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 400
    }
  },
  "required": [
    "body"
  ]
}

Responses

201 Question submitted

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "session_id": {
      "type": "string",
      "format": "uuid"
    },
    "asker_user_id": {
      "type": "string"
    },
    "body": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "pending",
        "approved",
        "dismissed",
        "answered"
      ]
    },
    "vote_count": {
      "type": "integer",
      "minimum": 0
    },
    "asked_at": {
      "type": "string",
      "format": "date-time"
    },
    "moderated_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "moderator_user_id": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "session_id",
    "asker_user_id",
    "body",
    "status",
    "vote_count",
    "asked_at",
    "moderated_at",
    "moderator_user_id"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Session not joinable

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

429 Rate limited

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/v1/sessions/{id}/questions \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'